Storyden
Auth

Web Authn Request Credential

Start the WebAuthn registration process by requesting a credential.

GET
/auth/webauthn/make/{account_handle}

Start the WebAuthn registration process by requesting a credential.

Authorization

cookiestoryden-session<token>

Path Parameters

account_handle*string

Account handle.

Response Body

Example Request
curl -X GET 'https://example.com/api/auth/webauthn/make/southclaws'
Example Response
{  "publicKey": {    "rp": {      "id": "string",      "name": "string"    },    "user": {      "id": "string",      "name": "string",      "displayName": "string"    },    "challenge": "string",    "pubKeyCredParams": [      {        "type": "public-key",        "alg": 0      }    ],    "timeout": 0,    "excludeCredentials": [      {        "type": "public-key",        "id": "string",        "transports": [          "ble"        ]      }    ],    "authenticatorSelection": {      "authenticatorAttachment": "platform",      "residentKey": "discouraged",      "requireResidentKey": true,      "userVerification": "discouraged"    },    "attestation": "direct",    "extensions": {}  }}